Subject: add autogen script for libffi

This patch adds an autogen.sh script for libffi. As this patch should
probably go upstream but pnet doesn't survive 'make distcheck' without
it, I sugest that we apply it anyway, but put it into a
"patches-for-upstream" (invent a better name, please) directory.

Signed-off-by: Robert Schwebel <r.schwebel@pengutronix.de>

 libffi/autogen.sh |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

Index: libffi/autogen.sh
===================================================================
--- /dev/null
+++ libffi/autogen.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+#
+# usage:
+#
+# banner <target name>
+#
+banner() {
+	echo
+	TG=`echo $1 | sed -e "s,/.*/,,g"`
+	LINE=`echo $TG |sed -e "s/./-/g"`
+	echo $LINE
+	echo $TG
+	echo $LINE
+	echo
+}
+
+
+ACLOCAL=${ACLOCAL:=aclocal}
+AUTOHEADER=${AUTOHEADER:=autoheader}
+AUTOMAKE=${AUTOMAKE:=automake}
+AUTOCONF=${AUTOCONF:=autoconf}
+
+#$ACLOCAL --version | \
+#   awk -vPROG="aclocal" -vVERS=1.7\
+#   '{if ($1 == PROG) {gsub ("-.*","",$4); if ($4 < VERS) print PROG" < version "VERS"\nThis may result in errors\n"}}'
+
+#$AUTOMAKE --version | \
+#   awk -vPROG="automake" -vVERS=1.7\
+#   '{if ($1 == PROG) {gsub ("-.*","",$4); if ($4 < VERS) print PROG" < version "VERS"\nThis may result in errors\n"}}'
+
+
+banner "running libtoolize"
+libtoolize --force --copy || exit
+
+banner "running aclocal"
+$ACLOCAL || exit
+
+banner "running autoheader"
+$AUTOHEADER || exit
+
+banner "running automake"
+$AUTOMAKE --gnu --add-missing --copy -Wall || exit
+
+banner "running autoconf"
+$AUTOCONF -Wall || exit
+
+banner "Finished"
